> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks for a Subscription

> Retrieve all webhooks configured on a subscription Pay Link.

<Info>
  **NOTE:** When using Helio on mainnet, set your Base URL to [https://api.hel.io](https://api.hel.io) and generate your API keys from [moonpay.hel.io](https://app.hel.io/) . For testnet, use [https://api.dev.hel.io](https://api.dev.hel.io) and generate your API keys from [moonpay.dev.hel.io](https://app.dev.hel.io/).
</Info>


## OpenAPI

````yaml GET /v1/webhook/paylink/subscription
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/webhook/paylink/subscription:
    get:
      tags:
        - Webhooks
      summary: Get Webhooks for a Subscription
      description: Retrieve all webhooks configured on a subscription Pay Link.
      operationId: PaylinkSubscriptionHookController_getSubscriptionHooks
      parameters:
        - name: paylinkId
          required: true
          in: query
          description: >-
            The ID of the pay link used to retrieve associated subscription
            webhooks.
          schema:
            type: string
        - name: apiKey
          required: true
          in: query
          description: >-
            Your API key can be generated on the Helio Dashboard’s settings
            page.
          schema:
            type: string
      responses:
        '200':
          description: Retrieved webhook details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaylinkSubscriptionHookEntity'
              examples:
                webhookCreationResponse:
                  summary: Retrieved webhook details
                  value:
                    id: 679cb0a5eafd565eeab89605
                    paylink: 679bb9db7f3c16eb86bb1c67
                    company: 6683f4efc330474ede1f25aa
                    targetUrl: https://target-url.com/post-endpoint
                    events:
                      - STARTED
                      - RENEWED
                      - ENDED
                    sharedToken: >-
                      ZtiSEjZsTNoczv8kvDgtSx5+YO017NOlM/mrqEMj2nnHXi+UfmCQvuqvZlI0eH3JJWrW1D3UDWM+GgK9sVfR0NNPIMwWNV+jcFehjDIMlVq05Ahf2/5tUT/W7qqiHWZy
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  schemas:
    PaylinkSubscriptionHookEntity:
      type: object
      properties:
        events:
          type: array
          items:
            type: string
            enum:
              - STARTED
              - RENEWED
              - ENDED
        id:
          type: string
        paylink:
          type: string
        company:
          type: string
        targetUrl:
          type: string
        sharedToken:
          type: string
        creator:
          type: string
      required:
        - events
        - id
        - paylink
        - company
        - targetUrl
        - sharedToken
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````